#ifndef DOUBLE_H
#define DOUBLE_H

#include <stddef.h>
#include "../../utils/lists.h"

struct dlist *dlist_append(struct dlist *l, int e);
int dlist_insert(struct dlist **l, size_t index, int e);
struct dlist *dlist_delete_at(struct dlist **l, size_t index);
int dlist_remove(struct dlist **l, int e);
void dlist_print(struct dlist *l);

#endif /* !DOUBLE_H */
